"""
XDMG 2.9

New:

CFG File and Original sound.
"""

import es
import playerlib

soundList = ['killboop.mp3']
soundDir = 'xdmg/'

#plugin information
info = es.AddonInfo()
info.name = 'XDMG Source'
info.version = '3.0'
info.author = 'Pand3mic'
info.description = 'XDMG remaining Damage HUD Indicator'
info.basename = 'xdmg'

# Set Public Var
es.set("xdmg", 3.0)
es.makepublic("xdmg")

# Make Sounds Downloadable
def addSounds():
        for soundTitle in soundList:
                es.stringtable('downloadables', 'sound/' + soundDir + soundTitle)

def es_map_start(event_var):
        addSounds()

# Display Message on Load of Plugin
def load():
        es.msg("#green", "XDMG Initiated...")
        es.msg("#green", "XDMG is loading variables and configs")
        # VARIABLES
        es.setinfo("xdmg_playsound", 0)
        es.setinfo("xdmg_showtext", 0)
        es.setinfo("xdmg_displayreport", 0)
        # These variables are configured in xdmg.cfg, so lets load it!
        es.server.cmd('es_xmexec ../addons/eventscripts/xdmg/xdmg.cfg')
        es.msg("#green", "XDMG has finished loading.")

# When a Player is hurt, get the victim's name and remaining HP and Display it in a HUD message. Also add to stats for end of round report.
def player_hurt(event_var):
        VictimName = event_var["es_username"]
        RemainingHP = event_var["health"]
        HPdamage = event_var["dmg_health"]
        armorDamage = event_var["dmg_armor"]
        attackerID = event_var["attacker"]
        victimID = event_var["userid"]
        attackerName = event_var["es_attackername"]
        # Converted Vars to Integers
        RemainingHPInt = int(RemainingHP)
        HPdamageInt = int(HPdamage)
        armorDamageInt = int(armorDamage)
        attackerIDInt = int(attackerID)
        victimIDInt = int(victimID)
        # CVAR Variables
        playsound = es.ServerVar("xdmg_playsound")
        playsoundInt = int(playsound)
        showtext = es.ServerVar("xdmg_showtext")
        showtextInt = int(showtext)           
        if attackerID != "0":
                if attackerID != victimID:
                        if showtextInt == 1:
                                es.centertell(event_var["attacker"],"Killing " + VictimName + ", they have " + RemainingHP + " HP remaining.")
                                
                        if event_var["health"] < "1":
                                if showtextInt == 1:
                                        es.centertell(event_var["attacker"],"You Killed " + VictimName + "!")

                                if playsoundInt == 1: 
                                        es.playsound(event_var['attacker'], "xdmg/killboop.mp3", 1.0)

def unload():
        es.msg("#multi", "#green [XDMG]#default has been unloaded.")
